%define shared maven-shared-plugin-tools

Name:		maven-plugin-tools
Version:	3.5.1
Release:	8
Summary:	Maven Plugin Tools
License:	ASL 2.0
URL:		https://maven.apache.org/plugin-tools
Source0:	https://repo.maven.apache.org/maven2/org/apache/maven/plugin-tools/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Avoid-duplicate-MOJO-parameters.patch
Patch1:         0002-Deal-with-nulls-from-getComment.patch
Patch2:         0003-Port-to-plexus-utils-3.0.24.patch

BuildArch:      noarch
BuildRequires:	maven-local javapackages-tools qdox jtidy ant maven-doxia-sink-api 
BuildRequires:	maven-doxia-sitetools maven-enforcer-plugin maven 
BuildRequires:	maven-reporting-api maven-reporting-impl maven-surefire maven-artifact
BuildRequires:	maven-model maven-parent maven-plugin-registry bsh plexus-ant-factory
BuildRequires:	plexus-archiver plexus-containers-component-annotations modello
BuildRequires:	plexus-containers-component-metadata plexus-utils plexus-velocity 
BuildRequires:	easymock objectweb-asm plexus-bsh-factory velocity maven-source-plugin
BuildRequires:	mvn(org.apache.maven.plugins:maven-plugin-plugin)

Provides:	%{name}-ant = %{version}-%{release} %{shared}-ant = 0:%{version}-%{release}
Obsoletes:	%{name}-ant < %{version}-%{release} %{shared}-ant < 0:%{version}-%{release}
Provides:       %{name}-api = %{version}-%{release} %{shared}-api = 0:%{version}-%{release}
Obsoletes:      %{name}-api < %{version}-%{release} %{shared}-api < 0:%{version}-%{release}
Provides:       %{name}-java = %{version}-%{release} %{shared}-java = 0:%{version}-%{release}
Obsoletes:      %{name}-java < %{version}-%{release} %{shared}-java < 0:%{version}-%{release}
Provides:	%{name}-model = %{version}-%{release} %{shared}-model = 0:%{version}-%{release}
Obsoletes:      %{name}-model < %{version}-%{release} %{shared}-model < 0:%{version}-%{release}
Provides:	%{name}-javadocs = %{version}-%{release} %{name}-annotations = %{version}-%{release}
Obsoletes:	%{name}-javadocs < %{version}-%{release} %{name}-annotations < %{version}-%{release}
Provides:	%{name}-javadoc = %{version}-%{release} maven-plugin-annotations = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release} maven-plugin-annotations < %{version}-%{release}

%description
The Maven Plugin Tools contains the necessary tools to generate rebarbative 
content like descriptor, help and documentation. In addition, it provides 
tools to write Maven Plugins in scripting languages like Ant or Beanshell.



%package     -n maven-script
Summary:	script package for maven

Provides:	maven-plugin-plugin = %{version}-%{release}
Obsoletes:	maven-plugin-plugin < %{version}-%{release}
Obsoletes:	maven-script-beanshell = %{version}-%{release} 
Provides:	maven-script-beanshell = %{version}-%{release} 
Provides:	maven-script = %{version}-%{release} maven-script-ant = %{version}-%{release}
Obsoletes:	maven-script < %{version}-%{release} maven-script-ant < %{version}-%{release}
Provides:       %{name}-beanshell = %{version}-%{release} %{shared}-beanshell = 0:%{version}-%{release}
Obsoletes:      %{name}-beanshell < %{version}-%{release} %{shared}-beanshell < 0:%{version}-%{release}

%description -n maven-script
script package for maven

%package        generators
Summary:        generators for maven

%description    generators
generators for maven

%prep
%autosetup -n %{name}-%{version} -p1

for package in maven-plugin-plugin maven-plugin-tools-generators maven-script/maven-script-ant ; 
do
	%pom_remove_dep :maven-project ${package}
done

for package1 in maven-plugin-plugin maven-script/maven-plugin-tools-ant maven-plugin-tools-api \
    maven-script/maven-plugin-tools-beanshell maven-plugin-tools-generators maven-plugin-tools-java \
    maven-script/maven-script-ant ; 
do
	%pom_remove_dep :maven-plugin-descriptor ${package1}
done

%pom_remove_dep :maven-project
%pom_remove_dep :maven-plugin-descriptor
%pom_remove_dep :maven-plugin-registry maven-plugin-plugin
%pom_remove_dep :maven-artifact-manager maven-plugin-plugin

for dep_package in maven-plugin-tools-annotations maven-plugin-tools-api \
    maven-script/maven-plugin-tools-ant maven-plugin-tools-java ;
do 
	%pom_change_dep :maven-project :maven-core ${dep_package}
done

%pom_change_dep :maven-plugin-descriptor :maven-compat maven-plugin-tools-annotations
%pom_change_dep :maven-plugin-descriptor :maven-plugin-api maven-script/maven-plugin-tools-model

%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_dep com.sun:tools maven-plugin-tools-javadoc

%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep org.apache.maven:maven-plugin-registry
%pom_add_dep com.sun:tools maven-plugin-tools-javadoc

%pom_xpath_inject "pom:project/pom:properties" "
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>"

%pom_xpath_remove "pom:dependency[pom:scope='test']"

%build
%mvn_build -s -f

%install
%mvn_install

%files
%defattr(-,root,root)
%doc NOTICE
%license LICENSE
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*
%exclude %{_datadir}/maven-metadata/*-script*.xml
%exclude %{_datadir}/maven-metadata/*-beanshell.xml
%exclude %{_datadir}/maven-metadata/*-generators.xml
%exclude %{_datadir}/maven-metadata/*-plugin-plugin.xml
%exclude %{_datadir}/java/maven-plugin-tools/*-beanshell.jar
%exclude %{_datadir}/java/maven-plugin-tools/*-generators.jar
%exclude %{_datadir}/java/maven-plugin-tools/maven-script*.jar
%exclude %{_datadir}/java/maven-plugin-tools/*-plugin-plugin.jar
%exclude %{_datadir}/maven-poms/maven-plugin-tools/*-beanshell.pom
%exclude %{_datadir}/maven-poms/maven-plugin-tools/*-generators.pom 
%exclude %{_datadir}/maven-poms/maven-plugin-tools/maven-script*.pom
%exclude %{_datadir}/maven-poms/maven-plugin-tools/*-plugin-plugin.pom

%files 	     -n maven-script
%defattr(-,root,root)
%{_datadir}/maven-metadata/*-script*.xml
%{_datadir}/maven-metadata/*-beanshell.xml
%{_datadir}/maven-metadata/*-plugin-plugin.xml
%{_datadir}/java/maven-plugin-tools/*-beanshell.jar
%{_datadir}/java/maven-plugin-tools/maven-script*.jar
%{_datadir}/java/maven-plugin-tools/*-plugin-plugin.jar
%{_datadir}/maven-poms/maven-plugin-tools/*-beanshell.pom
%{_datadir}/maven-poms/maven-plugin-tools/maven-script*.pom
%{_datadir}/maven-poms/maven-plugin-tools/*-plugin-plugin.pom

%files          generators
%defattr(-,root,root)
%{_datadir}/maven-metadata/*-generators.xml
%{_datadir}/java/maven-plugin-tools/*-generators.jar
%{_datadir}/maven-poms/maven-plugin-tools/*-generators.pom

%changelog
* Thu Nov 10 2022 liyanan <liyanan32@h-partners.com>  - 3.5.1-8
- Change source

* Mon Dec 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.5.1-7
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add build require of maven-plugin-plugin

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.5.1-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add the provides of maven-plugin-plugin

* Thu Dec 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.5.1-5
- Package init
